﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rdh.SocketServer.Client.Models
{
    public class EleMedKitCommand
    {
        /// <summary>
        /// 药箱定位上传
        /// </summary>
        public const String RequestLocation = "0A";
        /// <summary>
        /// 药箱查询手术信息
        /// </summary>
        public const String RequestPatientOperation = "0B";
        /// <summary>
        /// 药箱上传手术用药信息
        /// </summary>
        public const String RequestPatientOperationUsage = "0C";
        /// <summary>
        /// 药箱呼叫机器人
        /// </summary>
        public const String RequestRobot = "0D";
        /// <summary>
        /// 药箱请求归还
        /// </summary>
        public const String RequestReturnMedKit = "0E";
        /// <summary>
        /// 药箱上传补药信息
        /// </summary>
        public const String RequestSupplyList = "0F";
        /// <summary>
        /// 药箱查询借药信息
        /// </summary>
        public const String RequestDrugLend = "0G";
        /// <summary>
        /// 药箱同步时钟
        /// </summary>
        public const String RequestClock = "TT";

        public const String ResponseLocation = "0A";
        public const String ResponsePatientOperation = "0B";
        public const String ResponsePatientOperationUsage = "0C";
        public const String ResponseRobot = "0D";
        public const String ResponseReturnMedKit = "0E";
        public const String ResponseSupplyList = "0F";
        public const String ResponseDrugLend = "0G";
        public const String RepsonseClock = "TT";
    }
}
